<template>
  <div class="movie_page">
    <HeaderComponent />
    <MovieDetailsComponent class="movie_section" :id="movie.id" :title="movie.title" :img="movie.img" :year="movie.year" :language="movie.language" :type="movie.type" :realinfo="movie.realinfo.name + ' (' + movie.realinfo.birthdate + ')'" :grade="movie.grade" />
    <div class="to_menu">
      <router-link class="back_to_menu" to="/">Retour au menu principal</router-link>
    </div>
  </div>
</template>

<script>
// @ is an alias to /src
import HeaderComponent from '@/components/HeaderComponent.vue';
import MovieDetailsComponent from '@/components/MovieDetailsComponent.vue';

export default {
  name: 'MovieView',
  components: {
    HeaderComponent,
    MovieDetailsComponent
  },
  data() {
    return{
      movies_list: window.movies_list,
      movie: {type: Object},
    }
  },
  mounted(){
    this.movie = this.movies_list.movies.filter(p => ((p.id === parseInt(this.$route.params.id))));
    this.movie = this.movie[0];
  }
}
</script>

<style>
.movie_page{
  background-color:#E9ECF1;
  width:50vw;
  margin-right:auto;
  margin-left:auto;
  min-height: 100vh;
}
.movie_section{
  padding-top:4vh;
}
.to_menu{
  display:flex;
}
.back_to_menu{
  margin-top:80px;
  margin-left:auto;
  margin-right:auto;
  justify-content: center;
  background-color: rgb(65,184,131);
  padding: 16px;
  border-radius: 30px;
  border:none;
  font-size: 1em;
  cursor: pointer;
  font-family: arial;
  font-weight: bold;
  text-decoration:none;
  color:black;
}
.back_to_menu:hover{
  background-color: rgb(145,217,184);
  color:white;
}

@media screen and (max-width: 1650px){
  .movie_page{
    width:800px;
  }
}

@media screen and (max-width: 800px){
  .movie_page{
    width:100%;
  }
  .movie_section{
    margin-left: 10px;
  }
}
</style>